unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  RyTimer, StdCtrls;

type
  TForm1 = class(TForm)
    Memo1: TMemo;
    TimeStop: TButton;
    TimeStart: TButton;
    procedure TimeStopClick(Sender: TObject);
    procedure TimeStartClick(Sender: TObject);
  private
    Timer: TRyTimer;
    TimerLine: TRyTimer;
    procedure TimerTime(Sender: TObject);
    procedure TimerLineTime(Sender: TObject);
  public
    constructor Create(AOwner: TComponent); override;
    destructor Destroy; override;
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

constructor TForm1.Create(AOwner: TComponent);
begin
  inherited;
  Timer := TRyTimer.Create;
  with Timer do
  begin
    Interval := 10;
    OnTimer := TimerTime;
  end;

  TimerLine := TRyTimer.Create;
  with TimerLine do
  begin
    Interval := 50;
    OnTimer := TimerLineTime;
  end;

  Memo1.Font.Name := 'Courier New';
  Memo1.Font.Size := 10;
end;

destructor TForm1.Destroy;
begin
  Timer.Free;
  TimerLine.Free;
  inherited;
end;

procedure TForm1.TimeStartClick(Sender: TObject);
begin
  Timer.Start;
  TimerLine.Start;
end;

procedure TForm1.TimeStopClick(Sender: TObject);
begin
  Timer.Stop;
  TimerLine.Stop;
end;

procedure TForm1.TimerTime(Sender: TObject);
begin
  Memo1.Lines.Add('|               TRyTimer              |');
end;

procedure TForm1.TimerLineTime(Sender: TObject);
begin
  Memo1.Lines.Add('|-------------------------------------|');
end;

end.
